Bug 1460342 - Review Request: mingw-popt - MinGW Windows popt library
Review Request: mingw-popt - MinGW Windows popt library
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-06-09 14:32 EDT by Michael Jeanson
Modified: 2017-09-13 02:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Michael Jeanson 2017-06-09 14:32:08 EDT
Spec URL: https://mjeanson.fedorapeople.org/mingw-popt/mingw-popt.spec
SRPM URL: https://mjeanson.fedorapeople.org/mingw-popt/mingw-popt-1.16-1.fc25.src.rpm
Description: MinGW Windows build of the popt library 
Fedora Account System Username: mjeanson
Comment 1 Michael Jeanson 2017-06-09 14:33:12 EDT
Builds are available on COPR : https://copr.fedorainfracloud.org/coprs/mjeanson/mingw/packages/
Comment 2 Robert-André Mauchin 2017-09-12 13:01:51 EDT

 - Group: is not used in Fedora:

 - No need for %clean, no need for rm -rf $RPM_BUILD_ROOT in %install

 - Patches: a small line explaining why they are needed/what they do would be great

 - You've got a mix of tabs and spaces throughout your SPEC file:

mingw-popt.src:22: W: mixed-use-of-spaces-and-tabs (spaces: line 22, tab: line 3)

Choose one or another.

Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL", "GPL (v2 or later)", "Unknown or
     generated". 136 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/mingw-popt/review-mingw-
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/x86_64-w64-mingw32/sys-
     root, /usr/i686-w64-mingw32/sys-root/mingw, /usr/x86_64-w64-mingw32,
     /usr/i686-w64-mingw32/sys-root/mingw/lib, /usr/i686-w64-mingw32,
     /usr/i686-w64-mingw32/sys-root, /usr/x86_64-w64-mingw32/sys-
     root/mingw, /usr/x86_64-w64-mingw32/sys-root/mingw/lib
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-popt , mingw32-popt-static , mingw64-popt , mingw64-popt-
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-popt : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/popt.pc mingw64-popt :
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
Comment 4 Robert-André Mauchin 2017-09-13 02:14:49 EDT
I don't see the short description of the patches. Anyhow the rest is good, pacakge accepted.

Note You need to log in before you can comment on or make changes to this bug.